#ifndef MESH_HH
#define MESH_HH

#include <QMatrix4x4>
#include <QVector>
#include <QOpenGLFunctions>


struct OpenGLMesh {
	GLuint vao, vbo;
	unsigned nverts;
	QMatrix4x4 mat;

	OpenGLMesh(QVector<float> verts);
};


#endif
